Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteDynamicSecurityManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteDynamicSecurityManager

extends java.rmi.Remote

Method Summary
`int` | `addDynamicSecurity(DynamicSecurity dynamicSecurityObject, java.lang.String operator)` Add dynamic security record
`int` | `addDynamicSecurity(DynamicSecurity dynamicSecurityObject, java.lang.String operator, boolean replaceExisted)` Add dynamic security record
`int` | `deleteDynamicSecurity(java.lang.String catalogPath, java.lang.String securityFileName, java.lang.String operator)` Delete dynamic security specified by catalog path and security file name.
`int` | `deleteDynamicSecuritys(int[] idArray, java.lang.String operator)`
`java.util.List<DynamicSecurity>` | `getDynamicSecurities(java.lang.String operator)` Gets all dynamic securities.
`java.util.List<DynamicSecurity>` | `getDynamicSecurities(java.lang.String catalogPath, java.lang.String operator)` Gets all dynamic securities by specified catalog path.
`DynamicSecurity` | `getDynamicSecurity(int id, java.lang.String operator)`
`DynamicSecurity` | `getDynamicSecurity(java.lang.String catalogPath, java.lang.String securityFileName, java.lang.String operator)` Gets all dynamic security by specified catalog path and security file name.
`int` | `setDynamicSecurityDefault(int id, boolean isDefault, java.lang.String operator)` Set dynamic security default status, which specified by dynamic security record id.
`int` | `setDynamicSecurityDefault(java.lang.String catalogPath, java.lang.String securityFileName, boolean isDefault, java.lang.String operator)` Set dynamic security default status, which specified by catalog path and security file name.
`int` | `updateDynamicSecurity(java.lang.String oldCatalogPath, java.lang.String oldSecurityFileName, DynamicSecurity newDynamicSecurityObject, java.lang.String operator, java.util.List<java.lang.Object> errorPara)` Update dynamic security record with "newDynamicSecurityObject" specified by old catalog path and old security file name.

Method Detail

### getDynamicSecurities

    java.util.List<DynamicSecurity> getDynamicSecurities(java.lang.String operator)
                                                         throws RptServerException,
                                                                java.rmi.RemoteException

  Gets all dynamic securities.

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### getDynamicSecurities

    java.util.List<DynamicSecurity> getDynamicSecurities(java.lang.String catalogPath,
                                                         java.lang.String operator)
                                                         throws RptServerException,
                                                                java.rmi.RemoteException

  Gets all dynamic securities by specified catalog path.

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### getDynamicSecurity

    DynamicSecurity getDynamicSecurity(java.lang.String catalogPath,
                                       java.lang.String securityFileName,
                                       java.lang.String operator)
                                       throws RptServerException,
                                              java.rmi.RemoteException

  Gets all dynamic security by specified catalog path and security file name.

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### getDynamicSecurity

    DynamicSecurity getDynamicSecurity(int id,
                                       java.lang.String operator)
                                       throws RptServerException,
                                              java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### addDynamicSecurity

    int addDynamicSecurity(DynamicSecurity dynamicSecurityObject,
                           java.lang.String operator)
                           throws RptServerException,
                                  java.rmi.RemoteException

  Add dynamic security record

  Parameters:
    `dynamicSecurityObject` -
    `operator` -
  Returns:
  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### addDynamicSecurity

    int addDynamicSecurity(DynamicSecurity dynamicSecurityObject,
                           java.lang.String operator,
                           boolean replaceExisted)
                           throws RptServerException,
                                  java.rmi.RemoteException

  Add dynamic security record

  Parameters:
    `dynamicSecurityObject` -
    `operator` -
  Returns:
  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### updateDynamicSecurity

    int updateDynamicSecurity(java.lang.String oldCatalogPath,
                              java.lang.String oldSecurityFileName,
                              DynamicSecurity newDynamicSecurityObject,
                              java.lang.String operator,
                              java.util.List<java.lang.Object> errorPara)
                              throws RptServerException,
                                     java.rmi.RemoteException

  Update dynamic security record with "newDynamicSecurityObject" specified by old catalog path and old security file name.

  Parameters:
    `oldCatalogPath` - the specified catalog path, used to describe being updated security catalog path.
    `oldSecurityFileName` - the specified security file name, used to describe being updated security file name.
    `newDynamicSecurityObject` - this is newest dynamic security information
    `operator` -
  Returns:
  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### setDynamicSecurityDefault

    int setDynamicSecurityDefault(java.lang.String catalogPath,
                                  java.lang.String securityFileName,
                                  boolean isDefault,
                                  java.lang.String operator)
                                  throws RptServerException,
                                         java.rmi.RemoteException

  Set dynamic security default status, which specified by catalog path and security file name.

  Parameters:
    `catalogPath` - specified dynamic security catalog path.
    `securityFileName` - specified dynamic security file name.
    `isDefault` - default status, `true` means default, otherwise not default.
    `operator` -
  Returns:
    updated record count.
  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### setDynamicSecurityDefault

    int setDynamicSecurityDefault(int id,
                                  boolean isDefault,
                                  java.lang.String operator)
                                  throws RptServerException,
                                         java.rmi.RemoteException

  Set dynamic security default status, which specified by dynamic security record id.

  Parameters:
    `id` - dynamic security record id
    `isDefault` - default status, `true` means default, otherwise not default.
    `operator` -
  Returns:
    updated record count.
  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### deleteDynamicSecurity

    int deleteDynamicSecurity(java.lang.String catalogPath,
                              java.lang.String securityFileName,
                              java.lang.String operator)
                              throws RptServerException,
                                     java.rmi.RemoteException

  Delete dynamic security specified by catalog path and security file name.

  Parameters:
    `catalogPath` - specified dynamic security catalog path.
    `securityFileName` - specified dynamic security file name.
    `operator` -
  Returns:
  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### deleteDynamicSecuritys

    int deleteDynamicSecuritys(int[] idArray,
                               java.lang.String operator)
                               throws RptServerException,
                                      java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD